Subject: Update database scheme still fails
Description

If you try to update a current 6.1 introduction package without any other core update the database scheme updater fails and blocks
other updates.

Related issues:
related to Core - Bug # 57805: SQL-ERROR: Specified key was too long Resolved 2014-04-10

Associated revisions
Revision 039467b8 - 2014-04-12 17:57 - Nicole Cordes

[BUGFIX] Improve database scheme updater

This patch improves the update process as it removes the hard stop after
an SQL error occurred. All queries should get executed and errors should
be reported at the end. Sometimes it gets necessary that the updater is
called more that once - a notice to the user is added.

Besides the index length is reduced by 1 to ensure the index is set
with limitation in the database and all fields can be updated in the
second step.

Resolves: #57421
Releases: 6.2
Change-Id: I2f830a8a62b8dff3fbe949d40de8ddc30f3dfb9a
Reviewed-on: https://review.typo3.org/28945
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert
Reviewed-by: Dmitry Dulepov
Tested-by: Dmitry Dulepov
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2014-03-28 20:34 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28945

#2 - 2014-03-28 21:06 - Nicole Cordes
- Status changed from Under Review to New

To be more clear according to the identifier key issue:

in a current 6.1 installation of the introduction package the field length of identifier is 200. Within the update of the key "identifier" the length is set to
200 chars as well. This used to be okay, as within some 6.1 update the table field was raised to a length of 512 chars. Then the database index gets
correctly cropped to 200 chars.

But coming from an elder not uptodate 6.1 installation the key is only set to the field without any cropping. This causes a problem for the field update to
512 chars as the index becomes to big. To solve this issue manual handling in the compare database wizard or even the database itself is needed.

#3 - 2014-03-28 21:34 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28945

#4 - 2014-04-12 18:31 - Nicole Cordes
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:039467b8e75487983acdd2d9cbc1192be245c9a8.
